<?php

require_once '../incfiles/core.php';
require_once '../incfiles/func.php';
require_once '../incfiles/auth.php';
require_once '../incfiles/user.php';

if (empty($user_id)) go(URL);

require_once 'handler/z.php';

$title = lang('Друзья :: Исходящие заявки','Друзі :: Вихідні заявки');
require_once '../incfiles/head.php';

	$all_on = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `friends` WHERE `user_id` = '".$user_id."' AND `online` > '".(time() - 600)."' LIMIT 1"),0);

echo '<div class="title">
	<a href="'.URL.'/?id='.$user_id.'" onclick="Page.Go(this.href); return false">'.$user['name'].' '.$user['surname'].'</a>
	<a href="'.URL.'/friends/?id='.$user_id.'" onclick="Page.Go(this.href); return false">'.lang('Друзья','Друзі').' '.$user['count_friends'].'</a>
	<a href="'.URL.'/friends/online.php?id='.$user_id.'" onclick="Page.Go(this.href); return false">'.lang('Друзья','Друзі').' онлайн '.$all_on.'</a>
	<a href="'.URL.'/friends/z_in.php" onclick="Page.Go(this.href); return false">'.lang('Входящие','Вхідні').' заявки '.$user['notifications_friends'].'</a> 
	<a class="title_a_hover" href="'.URL.'/friends/z_out.php" onclick="Page.Go(this.href); return false">'.lang('Исходящие','Вихідні').' заявки</a>
	</div>';

	$all = mysql_result(mysql_query("SELECT COUNT(`id`) FROM `notifications` WHERE  `from_id` = '".$user_id."' AND `mod` = 'friends' AND `type` = 'new_friend' LIMIT 1"),0);
	if ($all > 0)
	{
		$cp = ceil($all/10);
		$p = (isset($_GET['p']) and is_numeric($_GET['p']) and $_GET['p']>1 and $_GET['p']<=$cp) ? $_GET['p'] : 1;
		$start = $p*10-10;

		$res = mysql_query("SELECT * FROM `notifications` WHERE `from_id` = '".$user_id."' AND `mod` = 'friends' AND `type` = 'new_friend' ORDER by `time` DESC LIMIT $start,10");
		while ($array = mysql_fetch_array($res))
		{
			echo '<div class="block">'.user_name($array['for_id']).'<ul>
			<a href="'.URL.'/friends/z_out.php?del_z='.$array['for_id'].'&p='.$p.'" onclick="Page.Go(this.href); return false">'.lang('Отменить','Скасувати').' заявку</a>
			</ul></div>';

		}
		navi($p,$cp,'/friends/z_in.php?');

	}

	
require_once '../incfiles/foot.php';

?>